API reference
Networks
GET
header
AuthorizationBearer <token>label_selector?stringFilter by labels: env=prod, env!=prod, env (has key), !env; comma = AND
Networks
application/json- response
networks*array<>curl -X GET "https://example.com/networks"{ "networks": [ { "id": 0, "name": "string", "ip_range": "string", "location": "string", "status": "creating", "servers": [ { "server": 0, "ip": "string" } ], "protection": { "delete": true }, "labels": { "property1": "string", "property2": "string" }, "created": "2019-08-24T14:15:22Z" } ]}POST
header
AuthorizationBearer <token>application/json- body
name*stringLength
1 <= length <= 64ip_range*stringPrivate IPv4 range, /16 to /28
location*stringlabels?Up to 64 key/value pairs; keys and values up to 63 characters
Created
application/json- response
network*action?|nullcurl -X POST "https://example.com/networks" \ -H "Content-Type: application/json" \ -d '{ "name": "string", "ip_range": "10.0.0.0/16", "location": "string" }'{ "network": { "id": 0, "name": "string", "ip_range": "string", "location": "string", "status": "creating", "servers": [ { "server": 0, "ip": "string" } ], "protection": { "delete": true }, "labels": { "property1": "string", "property2": "string" }, "created": "2019-08-24T14:15:22Z" }, "action": { "id": 0, "command": "create_server", "status": "running", "progress": 0, "started": "2019-08-24T14:15:22Z", "finished": "2019-08-24T14:15:22Z", "resources": [ { "id": 0, "type": "server" } ], "error": { "code": "string", "message": "string" } }}GET
header
AuthorizationBearer <token>id*integerFormat
int64Network
application/json- response
network*curl -X GET "https://example.com/networks/0"{ "network": { "id": 0, "name": "string", "ip_range": "string", "location": "string", "status": "creating", "servers": [ { "server": 0, "ip": "string" } ], "protection": { "delete": true }, "labels": { "property1": "string", "property2": "string" }, "created": "2019-08-24T14:15:22Z" }}DELETE
header
AuthorizationBearer <token>id*integerFormat
int64Deletion started
application/json- response
action*curl -X DELETE "https://example.com/networks/0"{ "action": { "id": 0, "command": "create_server", "status": "running", "progress": 0, "started": "2019-08-24T14:15:22Z", "finished": "2019-08-24T14:15:22Z", "resources": [ { "id": 0, "type": "server" } ], "error": { "code": "string", "message": "string" } }}PUT
header
AuthorizationBearer <token>id*integerFormat
int64application/json- body
name?stringLength
1 <= length <= 64labels?Up to 64 key/value pairs; keys and values up to 63 characters
protection?Updated
application/json- response
network*curl -X PUT "https://example.com/networks/0" \ -H "Content-Type: application/json" \ -d '{}'{ "network": { "id": 0, "name": "string", "ip_range": "string", "location": "string", "status": "creating", "servers": [ { "server": 0, "ip": "string" } ], "protection": { "delete": true }, "labels": { "property1": "string", "property2": "string" }, "created": "2019-08-24T14:15:22Z" }}